Bug 260572 - there seems to be no way of renaming "Kmail folders"
Summary: there seems to be no way of renaming "Kmail folders"
Status: RESOLVED FIXED
Alias: None
Product: kmail2
Classification: Applications
Component: folders (show other bugs)
Version: 2.0.89
Platform: Ubuntu Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-12-17 19:47 UTC by m.wege
Modified: 2012-02-11 23:46 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description m.wege 2010-12-17 19:47:54 UTC
Version:           2.0.89 (using KDE 4.5.85) 
OS:                Linux

What in Kmail1 was named local folder (or something similar) is now "Kmail folders". Do not know if there is a special rationale behind this. It would be nice, if either "Local Folders" would be restored (with localisation, it does not seem to be localised until now) or even better, that one could choose the name.

Reproducible: Always




OS: Linux (i686) release 2.6.37-7-generic-pae
Compiler: cc
Comment 1 Laurent Montel 2010-12-19 11:32:15 UTC
Here it's "Local Folders" Don't know why it's Kmail folders for you.

But in kmail1 we can't rename it so same feature.
Regards
Comment 2 Antonis Tsiapaliokas 2011-04-12 18:56:33 UTC
Hello

This bug appears only after a migration. And the "Local Folders" are renamed to "Kmail Folders"
Comment 3 András Manţia 2011-12-09 08:05:36 UTC
Git commit 547c15ab7fed66b666de76dfc9c1cb1399eb2377 by Andras Mantia.
Committed on 04/12/2011 at 20:35.
Pushed by amantia into branch 'master'.

Allow renaming resources from withing KMail's folder tree (as opposite to renaming only from the account settings or from Akonadiconsole).

BUG: 260572

M  +3    -3    mailcommon/collectiongeneralpage.cpp

http://commits.kde.org/kdepim/547c15ab7fed66b666de76dfc9c1cb1399eb2377
Comment 4 m.wege 2011-12-09 08:16:00 UTC
I see in the rewiew request that this patch does not include the spam/junk folder. I am aware that it was not the case in old Kmail, but it would certainly make sense.
Comment 5 András Manţia 2011-12-09 08:25:58 UTC
I don't understand your comment. :) Are you sure you replied to the right BR? Maybe you wanted to reply to bug 282189? And indeed, spam is not handled as we have no notion of a special folder called spam, so the only way to detect that would be by name, which would fail in many cases, especially when the names are translated.
Comment 6 m.wege 2011-12-09 09:34:21 UTC
Yes, sorry, indeed, I wanted to reply to that other bug. I put that comment up there again and answer there.
Comment 7 András Manţia 2011-12-09 21:26:00 UTC
Git commit 2afafc56c88aa4554802dc75ef1c6fc0d87fa366 by Andras Mantia.
Committed on 09/12/2011 at 22:05.
Pushed by amantia into branch 'master'.

Revert "Allow renaming resources from withing KMail's folder tree (as opposite to renaming only from the account settings or from Akonadiconsole)."
According to Laurent, it causes problem when renaming the IMAP account.

CCBUG: 260572

This reverts commit 547c15ab7fed66b666de76dfc9c1cb1399eb2377.

M  +3    -3    mailcommon/collectiongeneralpage.cpp

http://commits.kde.org/kdepim/2afafc56c88aa4554802dc75ef1c6fc0d87fa366
Comment 8 András Manţia 2011-12-09 21:28:20 UTC
I reopened the report, although I think it is the IMAP resource that needs fixing...
Comment 9 András Manţia 2012-02-11 23:46:34 UTC
Laurent fixed it later.